Module jdk.jartool
Package com.sun.jarsigner

# Class ContentSigner

java.lang.Object
com.sun.jarsigner.ContentSigner

@Deprecated(since="9", forRemoval=true) public abstract class ContentSigner extends Object
Deprecated, for removal: This API element is subject to removal in a future version.
This class has been deprecated.
This class defines a content signing service. Implementations must be instantiable using a zero-argument constructor.

Since:
  1.5

## Constructor Summary

Constructors
Constructor
Description
`ContentSigner()`
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Summary

Modifier and Type
Method
Description
`abstract byte[]`
`generateSignedData(ContentSignerParameters parameters, boolean omitContent, boolean applyTimestamp)`
Deprecated, for removal: This API element is subject to removal in a future version.
Generates a PKCS #7 signed data message.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContentSigner

public ContentSigner()
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Details

### generateSignedData

public abstract byte[] generateSignedData(ContentSignerParameters parameters, boolean omitContent, boolean applyTimestamp) throws NoSuchAlgorithmException, CertificateException, IOException
Deprecated, for removal: This API element is subject to removal in a future version.
Generates a PKCS #7 signed data message. This method is used when the signature has already been generated. The signature, the signer's details, and optionally a signature timestamp and the content that was signed, are all packaged into a signed data message.

Parameters:
  `parameters` - The non-null input parameters.
  `omitContent` - true if the content should be omitted from the signed data message. Otherwise the content is included.
  `applyTimestamp` - true if the signature should be timestamped. Otherwise timestamping is not performed.
Returns:
  A PKCS #7 signed data message.
Throws:
  `NoSuchAlgorithmException` - The exception is thrown if the signature algorithm is unrecognised.
  `CertificateException` - The exception is thrown if an error occurs while processing the signer's certificate or the TSA's certificate.
  `IOException` - The exception is thrown if an error occurs while generating the signature timestamp or while generating the signed data message.
  `NullPointerException` - The exception is thrown if parameters is null.